Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.security
Class DeleteGroupCommand

    java.lang.Object
      org.labkey.remoteapi.Command<ResponseType>
          org.labkey.remoteapi.PostCommand<CommandResponse>
              org.labkey.remoteapi.security.DeleteGroupCommand

    public class DeleteGroupCommand

extends PostCommand<CommandResponse>

Deletes the existing group corresponding to the group id. Note that the response to the command contains nothing meaningful. If it executed without exception, the group has been deleted.

Nested Class Summary

Nested classes/interfaces inherited from class org.labkey.remoteapi.Command
`Command.CommonParameters`

Field Summary

Fields inherited from class org.labkey.remoteapi.Command
`CONTENT_TYPE_JSON`

Constructor Summary
`DeleteGroupCommand(DeleteGroupCommand source)`
`DeleteGroupCommand(int groupId)`

Method Summary
`PostCommand` | `copy()` Returns a copy of this object.
`int` | `getGroupId()`
`org.json.simple.JSONObject` | `getJsonObject()` Returns the JSON object to post, or null if the JSON object has not yet been set.
`void` | `setGroupId(int groupId)`

Methods inherited from class org.labkey.remoteapi.PostCommand
`createMethod, setJsonObject`

Methods inherited from class org.labkey.remoteapi.Command
`createResponse, execute, getActionName, getActionUrl, getControllerName, getHttpMethod, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteGroupCommand

    public DeleteGroupCommand(int groupId)

### DeleteGroupCommand

    public DeleteGroupCommand(DeleteGroupCommand source)

Method Detail

### getGroupId

    public int getGroupId()

### setGroupId

    public void setGroupId(int groupId)

### copy

    public PostCommand copy()

  Description copied from class: `Command`
  Returns a copy of this object. Derived classes should override this to copy their own data members

  Overrides:
    `copy` in class `PostCommand<CommandResponse>`
  Returns:
    A copy of this object

### getJsonObject

    public org.json.simple.JSONObject getJsonObject()

  Description copied from class: `PostCommand`
  Returns the JSON object to post, or null if the JSON object has not yet been set. Override this method to provide the JSON object dynamically.

  Overrides:
    `getJsonObject` in class `PostCommand<CommandResponse>`
  Returns:
    The JSON object to post.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD